TRACEBACK(1)

NAME
Traceback - sends an OSC message

SYNOPSIS
osc-send [options] [url] osc-address [,typetags] [osc arguments]

DESCRIPTION

  Traceback (most recent call last):

    File "./scripts/osc-send", line 11, in <module>

    import txosc # for __version__

ImportError: No module named txosc

    File "./scripts/osc-send", line 11, in <module>

    import txosc # for __version__

ImportError: No module named txosc

OSC MESSAGES
An OSC message consists of an OSC Address Pattern followed by an OSC Type Tag String followed by zero or more OSC Arguments.

OSC ADDRESSES
An OSC Address Pattern is a string beginning with the character '/' (forward slash). It is mandatory to provide one.

OSC TYPE TAGS
An OSC Type Tag String is a string (beginning with the character ',' (comma)) followed by a sequence of characters corresponding exactly to the sequence of OSC Arguments in the given message. Each character after the comma is called an OSC Type Tag and represents the type of the corresponding OSC Argument.

Here is the list of supported type tags:

    i - 32bit integer
    h - 64bit integer
    f - 32bit floating point number
    d - 64bit (double) floating point number
    s - string
    S - symbol
    c - char
    m - 4 byte midi packet (8 digits hexadecimal)
    T - TRUE
    F - FALSE
    N - NIL
    I - INFINITUM

VALUES
Values are space separated. Quoting strings might be handy.

The full Open Sound Control specification can be found at http://opensoundcontrol.org/specification

HISTORY
Written by Arjan Scherpenisse and Alexandre Quessy in 2010.

EXAMPLES

The following examples are equivalent:

 osc-send osc.tcp://127.0.0.1:17779 /ham/spam ,sif egg 2 3.14159

 osc-send --tcp --host=127.0.0.1 --port=17779 --type-tags=sif /ham/spam egg 2 3.14159

 osc-send -T -P 17779 /ham/spam egg 2 3.14159